Package org.apache.sling.testing.mock.osgi

# Class ManifestScanner

java.lang.Object
org.apache.sling.testing.mock.osgi.ManifestScanner

public final class ManifestScanner extends Object
Scan METAINF/MANIFEST.MF files.

## Method Summary

Modifier and Type
Method
Description
`static @NotNull Collection<String>`
`getValues(@NotNull String attributeName)`
Get all bundle header values stored in MANIFEST.MF files as attributes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getValues

@NotNull public static @NotNull Collection<String> getValues(@NotNull @NotNull String attributeName)
Get all bundle header values stored in MANIFEST.MF files as attributes. Attributes values from all manifest files are collected, and values separated by "," are returned individually. The order of the values from each entry is preserved, but the overall order when multiple bundles define such an entry is not deterministic. Duplicate values are eliminated.

Parameters:
  `attributeName` - Attribute / Bundle header name.
Returns:
  List of values.